From c0475f741dfc2f1783230ed46cf8821de5f764f3 Mon Sep 17 00:00:00 2001
From: Kill Your TV <killyourtv@i2pmail.org>
Date: Mon, 24 Nov 2014 18:41:56 +0000
Subject: [PATCH] describe installing vagrant from debian snapshots

The versions of vagrant currently in Debian cannot be used to build
Tails.
---
 wiki/src/contribute/build.mdwn | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

diff --git a/wiki/src/contribute/build.mdwn b/wiki/src/contribute/build.mdwn
index e2b0bd8..e11994b 100644
--- a/wiki/src/contribute/build.mdwn
+++ b/wiki/src/contribute/build.mdwn
@@ -19,21 +19,29 @@ Set up the build environment on Debian Jessie:
 
 1. Add Debian unstable to your APT sources.
 2. Pin all packages from Debian unstable at 500 (`apt_preferences(5)`).
-3. Install the needed tools:
+3. Add a pin for vagrant (version 1.4.3+dfsg1-1) and ruby-net-ssh (version
+   2.6.8-2) at priority 550 to prevent these packages from being updated.
+4. Install the needed tools:
 
-       $ sudo apt-get install git virtualbox rake vagrant/unstable
+       $ sudo apt-get install git virtualbox rake ruby-childprocess \
+         ruby-erubis ruby-i18n ruby-log4r ruby-net-scp ruby bsdtar curl
 
 Or, on Debian Wheezy:
 
 1. Add Debian Jessie and unstable to your APT sources.
 2. Pin all packages from Debian Jessie and unstable at 500 (`apt_preferences(5)`).
-3. Install the needed tools:
+3. Add a pin for vagrant (version 1.4.3+dfsg1-1) and ruby-net-ssh (version
+   2.6.8-2) at priority 550 to prevent these packages from being updated.
+4. Install the needed tools:
 
-       $ sudo apt-get install git virtualbox rake vagrant/unstable \
-         ruby-childprocess/jessie ruby-net-scp/jessie ruby-net-ssh/jessie
+       $ sudo apt-get install git virtualbox rake ruby-childprocess/jessie \
+         ruby-net-scp/jessie ruby-erubis ruby-i18n ruby-log4r bsdtar curl
 
 Then, please run:
 
+    $ curl -O http://snapshot.debian.org/archive/debian-ports/20140808T013821Z/pool/main/v/vagrant/vagrant_1.4.3%2Bdfsg1-1_all.deb
+    $ curl -O http://snapshot.debian.org/archive/debian-ports/20140411T072702Z/pool/main/r/ruby-net-ssh/ruby-net-ssh_2.6.8-2_all.deb
+    $ sudo dpkg -i vagrant_1.4.3%2Bdfsg1-1_all.deb ruby-net-ssh_2.6.8-2_all.deb
     $ git clone git://git.tails.boum.org/tails
     $ cd tails
     $ git checkout devel
-- 
2.1.3

